Bullet Collision Detection & Physics Library: btSoftBody::DeformableFaceNodeContact Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btSoftBody::DeformableFaceNodeContact Struct Reference

`#include <btSoftBody.h>`

Collaboration diagram for btSoftBody::DeformableFaceNodeContact:
[legend]

## Public Attributes
Node * | m_node
Face * | m_face
btVector3 | m_bary
btVector3 | m_weights
btVector3 | m_normal
btScalar | m_margin
btScalar | m_friction
btScalar | m_imf
btScalar | m_c0
const btCollisionObject * | m_colObj

## Detailed Description

Definition at line 399 of file btSoftBody.h.

## Member Data Documentation

## ◆ m_bary

btVector3 btSoftBody::DeformableFaceNodeContact::m_bary

Definition at line 403 of file btSoftBody.h.

## ◆ m_c0

btScalar btSoftBody::DeformableFaceNodeContact::m_c0

Definition at line 409 of file btSoftBody.h.

## ◆ m_colObj

const btCollisionObject* btSoftBody::DeformableFaceNodeContact::m_colObj

Definition at line 410 of file btSoftBody.h.

## ◆ m_face

Face* btSoftBody::DeformableFaceNodeContact::m_face

Definition at line 402 of file btSoftBody.h.

## ◆ m_friction

btScalar btSoftBody::DeformableFaceNodeContact::m_friction

Definition at line 407 of file btSoftBody.h.

## ◆ m_imf

btScalar btSoftBody::DeformableFaceNodeContact::m_imf

Definition at line 408 of file btSoftBody.h.

## ◆ m_margin

btScalar btSoftBody::DeformableFaceNodeContact::m_margin

Definition at line 406 of file btSoftBody.h.

## ◆ m_node

Node* btSoftBody::DeformableFaceNodeContact::m_node

Definition at line 401 of file btSoftBody.h.

## ◆ m_normal

btVector3 btSoftBody::DeformableFaceNodeContact::m_normal

Definition at line 405 of file btSoftBody.h.

## ◆ m_weights

btVector3 btSoftBody::DeformableFaceNodeContact::m_weights

Definition at line 404 of file btSoftBody.h.

The documentation for this struct was generated from the following file:

- btSoftBody.h